Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Summarise Log

Generate and store a structured summary for a single log entry.

POST/logs/summary
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
connector_namestringrequired
namespace_namestringrequired
timestampstringrequired

Example: 2025-07-30T07:51:48.000000Z

log_sectionstring | null

Required only when log_uuid is not provided

Show properties
Any of:
string
string
null
null
entity_idstringrequired
entity_typestring
default: "source"
Allowed:sourcedestination
log_uuidstring | null

UUID of the log entry, if available

Show properties
Any of:
string
string
null
null
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST 'https://api.streamkap.com/logs/summary' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "connector_name": "string",
  "namespace_name": "string",
  "timestamp": "string",
  "log_section": "string",
  "entity_id": "string",
  "entity_type": "source",
  "log_uuid": "string"
}'
Response
Successful Response